package com.wallyflint.util;

import java.io.Serializable;
import java.util.List;

/**
 * Author Wally Flint: wally@wallyflint.com
 * With thanks to Michael Amster of webeasy.com for introducing me to the 
 * Ternary Search Tree, and providing some starting code.
 * 
 * Modified by: Ashwin Jayaprskash: www.javaforu.com
 * 
 * Represents a node in the tree.
 */
public class TernarySearchTreeNode implements Serializable
{
	public static final int PARENT = 0, LOKID = 1, EQKID = 2, HIKID = 3;
	//AJ
	static final long serialVersionUID = 527176009725913780L;

	// index values for accessing relatives array
	protected char splitchar;
	protected TernarySearchTreeNode[] relatives = new TernarySearchTreeNode[4];
	protected List data;

	public TernarySearchTreeNode()
	{
	} //end constr

	public TernarySearchTreeNode(char splitchar, TernarySearchTreeNode parent)
	{
		this.splitchar = splitchar;
		relatives[PARENT] = parent;
	} //end constr
} //end class